import { Backend, DragDropManager, Unsubscribe } from 'dnd-core';
import { TouchBackendOptions } from './interfaces';
export default class TouchBackend implements Backend {
    private options;
    private actions;
    private monitor;
    private static isSetUp;
    private sourceNodes;
    private sourcePreviewNodes;
    private sourcePreviewNodeOptions;
    private targetNodes;
    private _mouseClientOffset;
    private _isScrolling;
    private listenerTypes;
    private moveStartSourceIds;
    private waitingForDelay;
    private timeout;
    private dragOverTargetIds;
    private draggedSourceNode;
    private draggedSourceNodeRemovalObserver;
    constructor(manager: DragDropManager, context: any, options: TouchBackendOptions);
    readonly window: any;
    readonly document: any;
    setup(): void;
    teardown(): void;
    private addEventListener;
    private removeEventListener;
    connectDragSource(sourceId: string, node: HTMLElement): () => void;
    connectDragPreview(sourceId: string, node: HTMLElement, options: any): () => void;
    connectDropTarget(targetId: string, node: HTMLElement): Unsubscribe;
    private getSourceClientOffset;
    private handleTopMoveStartCapture;
    private handleMoveStart;
    private getTopMoveStartHandler;
    private handleTopMoveStart;
    private handleTopMoveStartDelay;
    private handleTopMoveCapture;
    private handleMove;
    private handleTopMove;
    private handleTopMoveEndCapture;
    private handleCancelOnEscape;
    private installSourceNodeRemovalObserver;
    private resurrectSourceNode;
    private uninstallSourceNodeRemovalObserver;
}
